import { defineCollection, z } from '@nuxt/content'

// 定义 FAQ 集合
const faqCollection = defineCollection({
  type: 'page',
  schema: z.object({
    title: z.string(),
    description: z.string().optional(),
    id: z.number(),
    category: z.string(),
    question: z.string(),
    answer: z.string()
  })
})

export default {
  faq: faqCollection
} 